
Redmine - Defect #11321

database migration 1.0.1-2 to 2.0

2012-07-04 16:20 - Lanfeust troy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I have installed and populated my redmine database with pacakge into squeeze debian version.

dpkg -l |grep redmine

ii  redmine                             1.0.1-2                      flexible project management web application

ii  redmine-mysql                       1.0.1-2                      metapackage providing MySQL dependencies for Redmine

Now I wan't to migration to 2.0 redmine version I have followed this docuementation for upgrade : 

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

The database migration don't work with following trace:

http://pastebin.com/A0LFJ4Wt

could you help me on this bug

History

#1 - 2012-07-04 19:34 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

There is no such "migration" environment.

#2 - 2012-07-05 16:43 - Lanfeust troy

- Status changed from Closed to Reopened

still same with test env

http://pastebin.com/TE47fk2U

#3 - 2012-07-05 17:13 - Etienne Massip

What does your config/database.yml look like?

#4 - 2012-07-06 09:50 - Lanfeust troy

database.yml : http://pastebin.com/0ejYFuky

#5 - 2012-07-09 08:58 - Etienne Massip

It looks fine but why are you running your migration on test, this environment is pretty much useful only to developers?

Did you run bundle install with according group test then?

#6 - 2021-06-07 06:25 - Go MAEDA

- Status changed from Reopened to Closed

Please open a new issue if you still experiencing the issue.
